# HedgeDoc

>  Le meilleur moyen d'écrire et partager votre savoir en markdown.

## Docker compose

La configuration est séparé en 3 fichiers :
- [`./docker-compose.yml`](./docker-compose.yml) avec le service spécifique à HedgeDoc
- [`./docker-compose.traefik.yml`](./docker-compose.traefik.yml) pour la partie Traefik
- [`../postgres/docker-compose.yml`](../postgres/docker-compose.yml) pour la partie base de donnée PostgreSQL

## Configuration

[De nombreuses variables d'environnement][documentation] peuvent être précisé pour configurer HedgeDoc, elles n'ont pas tous été intégrées.

Modifier les variables dans le fichier [`.env`](../examples/hedgedoc.example.com/.env).

Lancer le service :

```sh
docker-compose up -d
```

## Debug

### Se connecter à la base de données

```shell
. .env
docker exec -it $POSTGRES_CONTAINER_NAME psql $POSTGRES_DB -U $POSTGRES_USER
```

### Traitement des notes vides

```
SELECT count(*) FROM public."Notes" WHERE content = '';
SELECT * FROM public."Notes" WHERE content = '';
DELETE FROM public."Notes" WHERE content = '';
```

## Liens

- [Site officiel][website]
- [Github][github]
- [L'image Docker de LinuxServer][docker]

[website]: https://hedgedoc.org/
[docker]: https://hub.docker.com/r/linuxserver/hedgedoc
[github]: https://github.com/hedgedoc/hedgedoc
[documentation]: https://docs.hedgedoc.org/configuration/
